Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006712TestLinkUser Authentication Methodspublic2014-10-25 13:502014-11-14 09:30
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006712: Reset Password does not write password to DB, when DEFAULT AUTH method is LDAP, but user is DB
Description1. Set SYSTEM AUTH method LDAP
2. Create an user and set AUTH for this user to DB
   Due to design CHOICE it is NOT POSSIBLE TO SET a password,
   instead RESET PASSWORD feature need to be used
3. mail is sent (if all config is OK), with password to use
4. Is impossible to login because password has not been written to DB (WRONG)
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006707closedfman User Authentication is failing with DB when using LDAP & DB authentication 
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022033)
fman (administrator)
2014-10-25 13:53

https://gitorious.org/testlink-ga/testlink-code/commit/dc93012ebaa1429ea8731d9590f651170f587fc5 [^]
(0022035)
pkhooper (reporter)
2014-10-25 21:38

Implemented this fix in our system that was affected by this issue and confirm that the fix works and system now operates correctly.

This issue also affects the creation of a new user when system default is LDAP and DB is selected for the user.

The fix works in both cases:
1. Existing user with password reset;
2. Creation of new user.

Regards,
Patrick.
(0022037)
fman (administrator)
2014-10-26 14:18

@pkhooper
Thanks a lot for your feedback

- Issue History
Date Modified Username Field Change
2014-10-25 13:50 fman New Issue
2014-10-25 13:51 fman Relationship added related to 0006707
2014-10-25 13:53 fman Note Added: 0022033
2014-10-25 13:54 fman Product Version => 1.9.12 (2014 Q3)
2014-10-25 13:54 fman Fixed in Version => 1.9.13 (2015 #1)
2014-10-25 13:54 fman Relationship added child of 0006609
2014-10-25 13:55 fman Status new => resolved
2014-10-25 13:55 fman Resolution open => fixed
2014-10-25 13:55 fman Assigned To => fman
2014-10-25 21:38 pkhooper Note Added: 0022035
2014-10-26 14:18 fman Note Added: 0022037
2014-11-14 06:56 MPRodrigues Note Added: 0022138
2014-11-14 07:07 MPRodrigues Note Added: 0022139
2014-11-14 09:29 fman Note Deleted: 0022138
2014-11-14 09:30 fman Note Deleted: 0022139
2014-11-14 09:30 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker